@model BSIStore.Models.Produto

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Produto</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="Descricao" class="control-label"></label>
                <input asp-for="Descricao" class="form-control" />
                <span asp-validation-for="Descricao" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="validade" class="control-label"></label>
                <input asp-for="validade" class="form-control" />
                <span asp-validation-for="validade" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CategoriaId" class="control-label"></label>
                <select asp-for="CategoriaId" class="form-control"
                    asp-items="ViewBag.Categorias">
                </select>
                
            </div>
            <div class="form-group">
                <label asp-for="preco" class="control-label"></label>
                <input asp-for="preco" class="form-control" />
                <span asp-validation-for="preco" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
